[@ui.bambooInfoDisplay titleKey='Repository Configuration']
    [@ww.label label='Mode']
        [@ww.param name='value']${repository.getOptionMode()?if_exists}[/@ww.param]
    [/@ww.label]

    [#if repository.getOptionMode() == 'stream' ]
        [@ww.label label='Stream']
            [@ww.param name='value']${repository.getConfigurationName()?if_exists}[/@ww.param]
        [/@ww.label]
    [#elseif repository.getOptionMode() == 'workspace']
        [@ww.label label='Workspace']
            [@ww.param name='value']${repository.getConfigurationName()?if_exists}[/@ww.param]
        [/@ww.label]
        [@ww.label label='Symlink']
            [@ww.param name='value']${repository.getOptionSymlink()?if_exists}[/@ww.param]
        [/@ww.label]
        [@ww.label label='Update']
            [@ww.param name='value']
                [#if repository.getOptionDisableUpdate()]
                    disabled
                [#else]
                    enabled
                [/#if]
            [/@ww.param]
        [/@ww.label]
    [/#if]
[/@ui.bambooInfoDisplay]

[@ui.bambooInfoDisplay titleKey='Information in change comments']
    [@ww.label label='Change Type']
        [@ww.param name='value']
            [#if repository.getOptionCommentChange()]
                yes
            [#else]
                no
            [/#if]
        [/@ww.param]
    [/@ww.label]
    [@ww.label label='Change Date and Time']
        [@ww.param name='value']
            [#if repository.getOptionCommentDateTime()]
                yes
            [#else]
                no
            [/#if]
        [/@ww.param]
    [/@ww.label]
    [@ww.label label='Transaction #']
        [@ww.param name='value']
            [#if repository.getOptionCommentTransaction()]
                yes
            [#else]
                no
            [/#if]
        [/@ww.param]
    [/@ww.label]
    [@ww.label label='Change Stream Details']
        [@ww.param name='value']
            [#if repository.getOptionCommentStreamChange()]
                yes
            [#else]
                no
            [/#if]
        [/@ww.param]
    [/@ww.label]
[/@ui.bambooInfoDisplay]

[@ui.bambooInfoDisplay titleKey='Advanced Options']
    [@ww.label label='Development Options']
        [@ww.param name='value']${repository.getOptionDevelopment()?if_exists}[/@ww.param]
    [/@ww.label]
    [@ww.label label='Populate sub directory only']
        [@ww.param name='value']
            [#if repository.isPopulateSubDirectoryOnly()]
                yes
            [#else]
                no
            [/#if]
        [/@ww.param]
    [/@ww.label]
    [#if repository.isPopulateSubDirectoryOnly()]
    [@ww.label label='Sub directory path']
        [@ww.param name='value']${repository.getPopulateSubDirectoryPath()?if_exists}[/@ww.param]
    [/@ww.label]
    [/#if]
    [@ww.label label='Check Stream Hierarchy']
        [@ww.param name='value']
            [#if repository.isStreamHierarchyDetectionEnabled()]
                yes
            [#else]
                no
            [/#if]
        [/@ww.param]
    [/@ww.label]
    [#if repository.isStreamHierarchyDetectionEnabled()]
        [@ww.label label='Flow Down Frequency']
            [@ww.param name='value']${repository.getStreamHierarchyDetectionFrequency()?if_exists} hour(s)[/@ww.param]
        [/@ww.label]
    [/#if]
[/@ui.bambooInfoDisplay]

[@ui.bambooInfoDisplay titleKey='Common Repository Configuration']
[/@ui.bambooInfoDisplay]
